
SITETB - Feature #61

Adicionar informação à relatorio [SITETB-64]

07/26/2012 02:04 PM - Maurício Dos Santos

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Medicamentos   

Description

Incluir o item: data do recebimento de medicamentos pela Unidade de Referência. Essa etapa é anterior ao registro do recebimento

no sistema. Essa data fica registrada na gua da transportadora, que retorna ao CRPHF.

History

#1 - 07/26/2012 02:55 PM - Ricardo Memoria

- Target version deleted (Version 2.1)

#2 - 08/20/2012 12:43 PM - Maurício Dos Santos

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

Ricardo,

O novo módulo de relatórios vai resolver essa tarefa? Se for o caso podemos suspendê-la, certo?

#3 - 08/20/2012 12:47 PM - Maurício Dos Santos

- Status changed from New to In Progress

#4 - 08/20/2012 01:06 PM - Ricardo Memoria

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

O melhor é criar um comando onde o CRPHF poderá atualizar a data de recebimento. Este comando estaria disponível por permissão do perfil. Acho

que o melhor é um link ao lado da data de recebimento (onde apareceria apenas após o recebimento). Algo assim:

Data do recebimento: 01-jan-2012  Modificar

Segue os passos:

1. Criar uma nova permissão na tabela userrole para permitir a edição da data de recebimento com os seguintes dados:

code=020406, role_name=ORDER_DTREC, internalUse=false, byCaseClassification=false, changeable=false

2. Nos detalhes do pedido, incluir um link ao lado da data de recebimento (quando já recebido), para modificar a data, onde ele  só estaria disponível

se #{s:hasRole('ORDER_DTREC')}

3. Criar um método changeReceivingDate() na classe OrderReceivingHome para atualizar a data, através de uma nova propriedade

private Date receivingDate;

private boolean saved;

O método changeReceivingDate() deverá validar a data da seguinte forma:

A data não poderá ser uma data futura;

A data não poderá ser anterior a data do envio;

Caso não passe na validação, uma mensagem deverá ser exibida ao usuário e a variável saved=false (esta variável será enviada para o client,
através da propriedade data do componente a:commandLink do richfaces e verificada através de javascript se foi ou não salvo). Pesquise no código

fonte - Existem exemplos como este do uso da propriedade data no richfaces.

4. Criar uma janela de diálogo para entrar a nova data de recebimento, onde o botão de ok vai chamar o método

#{orderReceivingHome.changeReceivingDate()}

#5 - 08/20/2012 01:38 PM - Ricardo Memoria

IMPORTANTE

Implementar para a versão genérica

#6 - 08/27/2012 12:13 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#7 - 08/29/2012 02:06 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
